Keystone-rest-definition
    • Company information data
      GET
    • Get trips data authorized at gate
      GET
    • Retrieve inspections by country code and plate number
      GET
    • Send inspection related to a trip
      POST
    • Send alert related to a trip
      POST
    • Get trips data authorized at gate
      GET
    • Login validation
      POST
    • Get the alerts by filters
      GET
    • Number of trucks per gate
      GET
    • Get all phases
      GET
    • Get current trip data
      GET
    • Get the driver traffic violation data
      GET
    • Get the driver tachograph data
      GET
    • Set loading data per trip
      POST
    • Get the truck inspection data
      GET
    • Get trips data scheduled to arrive at location within number of hours
      GET
    • Get trips data
      GET
    • Terminal information data
      GET
    • Get the driver license data
      GET
    • Get CMR data
      GET
    • Get eta
      GET
    • Get the truck insurance data
      GET
    • Get the truck owner data
      GET
    • Get unloading data per trip
      GET
    • Get the driver professional qualification certificate data
      GET
    • Schemas
      • Sample Schemas
        • Pet
        • Category
        • Tag
      • Schemas
        • company
        • tachograph
        • trafficViolationData
        • terminal
        • pdqc

      Retrieve inspections by country code and plate number

      GET
      /inspections/list/{countryCode}/{plateNumber}

      Request

      Path Params

      Responses

      🟢200OK
      application/json
      List of inspections
      Body

      🟠404Record Not Found
      🔴500Server Error
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request GET '/inspections/list//'
      Response Response Example
      [
          {
              "userId": "string",
              "tripId": "string",
              "submissionTime": "2019-08-24T14:15:22.123Z",
              "checkDetails": [
                  {
                      "checkType": "string",
                      "invalidityReason": "string",
                      "comments": "string",
                      "invalidityConfirmed": true,
                      "payload": {
                          "textContent": "string",
                          "embeddedImages": [
                              {
                                  "fileName": "string",
                                  "fileType": "string",
                                  "fileContent": "string"
                              }
                          ]
                      },
                      "location": {
                          "locationDescription": "string",
                          "latitude": 0,
                          "longitude": 0
                      },
                      "finalNote": "string"
                  }
              ]
          }
      ]
      Modified at 2025-07-25 11:19:25
      Previous
      Get trips data authorized at gate
      Next
      Send inspection related to a trip
      Built with